
Installer - Bug #10466

Proxy registration puppet error is not clear

05/11/2015 10:04 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Foreman modules   

Target version: 1.9.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We show 422 error on unsuccessful requests, we should print nicer errors.

Related issues:

Related to Installer - Bug #11331: foreman_smartproxy: failed to call refresh... Resolved 08/12/2015

Related to Installer - Bug #14060: Error message unclear when capsule fails t... Resolved 03/04/2016

Associated revisions

Revision 652db2bb - 05/13/2015 03:26 AM - Lukas Zapletal

Fixes #10466 - nice error on proxy registration error

History

#1 - 05/19/2015 04:02 PM - Lukas Zapletal

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset puppet-foreman|652db2bb20bc196451c97302205302d4e1cb1cfc.

#2 - 05/20/2015 02:37 AM - Dominic Cleal

- translation missing: en.field_release set to 35

#3 - 08/12/2015 11:05 AM - Dominic Cleal

- Related to Bug #11331: foreman_smartproxy: failed to call refresh: missing param 'id' in parameters after ensure failure added

#4 - 03/07/2016 03:45 AM - Dominic Cleal

- Related to Bug #14060: Error message unclear when capsule fails to register (Could not set 'present on ensure: 422 Unprocessable Entity) added
